Get Activity Codes for Activity Code Type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/projects/{projectId}/activity-code-type/{activityCodeTypeId}/activity-codes/{activityCodeId}

Headers

  • X-COMPANY-ID string Required

Path parameters

  • projectId integer(int64) Required
  • activityCodeTypeId integer(int64) Required
  • activityCodeId integer(int64) Required

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64) Required

      The unique identifier of the activity code

    • parent object Required

      The parent activity code

      Hide parent attribute Show parent attribute object
      • id Required
    • value string Required

      The value of the activity code

    • desc string Required

      The description of the activity code

    • sequenceNumber integer(int32) Required

      The sequence number of the activity code

    • order integer(int32) Required

      The order of the activity code

    • children array[object] Required

      List of child activity codes

      Hide children attributes Show children attributes object

      Activity Code Response

      • desc Required
      • id Required
      • order Required
      • parent Required
      • sequenceNumber Required
      • value Required
GET /public/v1/projects/{projectId}/activity-code-type/{activityCodeTypeId}/activity-codes/{activityCodeId}
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/activity-code-type/{activityCodeTypeId}/activity-codes/{activityCodeId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
{
  "id": 1,
  "parent": {},
  "value": "AC123",
  "desc": "This is an activity code description.",
  "sequenceNumber": 10,
  "order": 1,
  "children": [
    {}
  ]
}